%{?nodejs_find_provides_and_requires}

Name:           nodejs-promzard
Version:        0.3.0
Release:        5%{?dist}
Summary:        A prompting wizard for building files from specialized PromZard modules

Group:          System Environment/Libraries
License:        BSD
URL:            https://github.com/isaacs/promzard
Source0:        https://registry.npmjs.org/promzard/-/promzard-%{version}.tgz
Patch0:         nodejs-promzard-timeout.patch
BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

BuildRequires:  npm(tap)
BuildRequires:  npm(read)

%description
A prompting wizard for building files from specialized PromZard modules.

The goal is a nice drop-in enhancement for `npm init`.


%prep
%autosetup -p 1 -n package


%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/promzard
cp -pr package.json promzard.js %{buildroot}%{nodejs_sitelib}/promzard


%check
%nodejs_symlink_deps --check
%tap test/*.js


%files
%doc example README.md
%license LICENSE
%{nodejs_sitelib}/promzard


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 16 2016 Tom Hughes <tom@compton.nu> - 0.3.0-1
- Update to 0.3.0 upstream release
- Enable tests

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 22 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-6
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-5
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Jan 07 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-2
- fix summary, description, license

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.2.0-1
- initial package generated by npm2rpm
